function _dSectionExpand(sec) {
var a = findObj("vSec"+sec).title;

if ((a>0) || (findObj("button_go").disabled))

 {
   document.all["cSec"+sec].style.display = "none";
   document.all["xSec"+sec].style.display = "";
 } else
   alert("Amíg nem oldottad meg az összes feladatot, addig nem kérheted ennek a feladatnak a megoldását!");
	
}

function _dSectionCollapse(sec) {
   document.all["xSec"+sec].style.display = "none";
   document.all["cSec"+sec].style.display = "";
}

function findObj(n, d) {
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function check_answers(f)
{
_jo=new Array();
_jo[0] = "Gratulálok, ügyes voltál, teljesítetted az elvárt követelményszintet! Biztonsággal mehetsz a következő tanulási egységre és további jó tanulást kívánok! Hiába no, a kitartó tanulás meghozta eredményét!";
_jo[1] = "Nos, ez ügyes volt! Úgy tűnik, nem volt hiába az a sok foglalkozás a tananyaggal, íme az eredmény. Most már biztonsággal továbbmehetsz a következő tananyagegységre. Sok sikert!";
_jo[2] = "Gratula, ha nem látom, el sem hiszem! Ügyesen helytálltál, biztonsággal továbbléphetsz a következő tananyagegységre! Ha legközelebb is hasonló eredményt érsz el, teljesen elégedett leszek! Hajrá!";
_jo[3] = "No látod, nem is volt olyan nehéz! Örülök, hogy sikerrel vetted az akadályokat, bíztam benned. Immár biztonsággal továbbléphetsz a következő tananyagegységre, amihez sok sikert kívánok!";

_rossz=new Array();
_rossz[0] = "Sajnos, ez nem sikerült olyan jól, mint kellett volna! Azt ajánlom, térj vissza az előző lapokra, nézd át őket még egyszer, koncentrálj azokra a tananyagegységekre, amelyek most nehezebben mentek! Kitartás, nem eshet minden nap! Ha végképp kimerültél, nyugodtan fordulj konzulensedhez, lehet, hogy csak egy apró (ismeret)lökés hiányzik, s menni fog!";
_rossz[1] = "Bár \"hát\"-tal nem kezdünk mondatot, de \"Hát ez nem sikerült olyan jól!\". Azért ne vegye el a kedved, inkább próbáld meg újra átnézni azokat a lapokat, amelyek most annyira nem mentek. Ha átnézted, térj ide vissza, s próbáld meg még egyszer elvégezni a feladatokat, mindenféle segítség nélkül. Szerintem jobban fog menni! Ha mégsem sikerülne akkor sem, nyugodtan fordulj konzulensedhez, biztosan segíteni fog! Sok sikert!";
_rossz[2] = "Hm. Gondolom, te sem ezt vártad...? Azért nem szabad elkeseredned, biztosan csak nem voltál eléggé alapos. Azt ajánlom, térj vissza azokra a tananyagegységekre, amelyek most nem mentek olyan jól, nézd át őket újra. Ha valami nem teljesen tiszta a lapokon, nyugodtan kérdezd konzulensedet a témában, számíthatsz a segítségére. Ne add fel!";
_rossz[3] = "Ez most nem sikerült, de biztos vagyok benne, nem éred be ennyivel és nem adod fel! Menj vissza az előző oldalakra, szentelj külön figyelmet azokra a tananyagegységekre, amelyek nem sikerültek. Ha valami nem teljesen tiszta, nyugodtan fordulj konzulensedhez, számíthatsz a segítségére! Nem vagy te olyan, aki feladja, pihenj egy picit, majd harcra fel!"

var obj     = findObj(f);
var ans     = findObj("answers").value.split(";");
var bgo	    = findObj("button_go");
var points  = 0;
var maxpts  = 0;

	for (i=1; i<=obj.length-2; i++)
 	{
	var v = ans[i-1].substr(0,1);
	var p = ans[i-1].substr(1,1);
	if (p=="-") { p=-1; } else maxpts = maxpts + 1 * p;

	if ((obj[i].type=="text") || (obj[i].type=="select-one")) if (v==obj[i].value) { points = points + 1 * p };
	if (obj[i].type=="checkbox") if (v==obj[i].checked) { points = points + 1 * p; }
	if (obj[i].type=="radio") if (v==obj[i].checked) { points = points + 1 * p; }
	}

var er = Math.floor(points/maxpts*100);

bgo.value="Elért eredmény: "+points+"/"+maxpts+" ("+Math.floor(points/maxpts*100)+"%)";
bgo.disabled=true;
if (er>60) { var l = Math.floor(Math.random()*_jo.length); alert("Eredményed "+er+"%! "+_jo[l]); } else
	   { var l = Math.floor(Math.random()*_rossz.length); alert("Eredményed "+er+"%! "+_rossz[l]); }
return(er);
}

function insert_span(fa,eredmeny,felirat,szabad)
{
	if (!felirat) felirat="Megoldás";
	if (!szabad) szabad="0";
	eredmeny = eredmeny.replace(/×/g,"<br>"); // az × legyen ENTER
	eredmeny = eredmeny.replace(/¤/g,"&nbsp;&nbsp;&nbsp;"); // a ¤ pedig legyen TAB (3 space)
	eredmeny = eredmeny.replace(/\[/g,"&lt;"); // nyit és majd a zár
	eredmeny = eredmeny.replace(/\]/g,"&gt;");


	document.write("<span id=vSec"+fa+" title="+szabad+" style=\"cursor:hand; position:relative; display:none\"></span>");
	document.write("<span id=cSec"+fa+" style=\"cursor:hand; position: relative; display:all\"><br>");
	document.write("<a onclick=\"return _dSectionExpand('"+fa+"');\"><img src='iconz/expand.gif' border=0 width=16 height=16>&nbsp;");
	document.write("<b>"+felirat+"</b></a></span>");
	document.write("<span id=xSec"+fa+" style=\"cursor:hand; position:relative; display:none\"><BR>");
	document.write("<a onClick=\"return _dSectionCollapse('"+fa+"');\"><img src='iconz/collapse.gif' border=0 width=16 height=16>&nbsp;");
	document.write("<b>"+felirat+"</b></a><br><br><table width=80% border=0 cellspacing=0 cellpadding=10><tr><td width=2></td><td style=\"border-style: dashed; border-width:1; border-color:#ACBF60; background-color:#f8f8ff;\"><span style=\"font:normal 8pt Verdana; color:#304060;\">"+eredmeny+"</span></td></tr></table>");
	document.write("</span></span>");
}

function handleEnter (field, event) 
{
	var keyCode = event.keyCode ? event.keyCode : event.which ? event.which : event.charCode;
	if (keyCode == 13) {
		var i;
		for (i = 0; i < field.form.elements.length; i++)
			if (field == field.form.elements[i])
				break;
		i = (i + 1) % field.form.elements.length;
		field.form.elements[i].focus();
		return false;
	}
	else
	return true;
}
// Joco1114